'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var MESSAGES = exports.MESSAGES = {
  ENOENT: 'File or directory not found',
  NOT_MOTION_APP: 'Unable to run, directory is not a motion app',
  ALREADY_EXECUTING: 'Another instance of motion is already running that directory in the same process',
  ALREADY_MOTION_APP: 'Directory is already a motion app'
};
// Note: This is generating automatically from MESSAGES
var ERROR_CODE = exports.ERROR_CODE = {};

var _iteratorNormalCompletion = true;
var _didIteratorError = false;
var _iteratorError = undefined;

try {
  for (var _iterator = Object.keys(MESSAGES)[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
    var name = _step.value;

    ERROR_CODE[name] = name;
  }
} catch (err) {
  _didIteratorError = true;
  _iteratorError = err;
} finally {
  try {
    if (!_iteratorNormalCompletion && _iterator.return) {
      _iterator.return();
    }
  } finally {
    if (_didIteratorError) {
      throw _iteratorError;
    }
  }
}

class MotionError extends Error {

  constructor(code) {
    super(MESSAGES[code]);
    this.code = code;
    this.motion = true;
  }
}
exports.MotionError = MotionError;
//# sourceMappingURL=error.js.map