'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('./fs');

var _helpers = require('./helpers');

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

class State {

  constructor(state, config, stateFile, configFile) {
    this.state = state;
    this.config = config;
    this.stateFile = stateFile;
    this.configFile = configFile;
  }
  get() {
    return this.state;
  }
  getConfig() {
    return this.config;
  }
  write() {
    var _this = this;

    return _asyncToGenerator(function* () {
      yield (0, _fs.writeJSON)(_this.stateFile, _this.state, true);
      yield (0, _fs.writeJSON)(_this.configFile, _this.config, true);
    })();
  }

  static create(stateFile, configFile) {
    return _asyncToGenerator(function* () {
      var stateFileExists = yield (0, _fs.exists)(stateFile);
      var configFileExists = yield (0, _fs.exists)(configFile);
      var state = stateFileExists ? yield (0, _fs.readJSON)(stateFile) : {
        running: false,
        process_id: process.pid,
        web_server_port: (0, _helpers.getRandomNumber)(8090, 9500),
        npm_save: true
      };
      var config = configFileExists ? yield (0, _fs.readJSON)(configFile) : {
        include_polyfills: false
      };

      return new State(state, config, stateFile, configFile);
    })();
  }
}
exports.default = State;
//# sourceMappingURL=state.js.map